%define major 5
%define libtesseract	%mklibname %{name} %{major}
%define devtesseract	%mklibname %{name} -d

Name:		tesseract
Version:	5.2.0
Release:	%mkrel 1
Summary:	A high-performance OCR engine
URL:		https://github.com/tesseract-ocr
License:	ASL 2.0
Group:		Graphics
Source0:	https://github.com/%{name}-ocr/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	asciidoc
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(lept)
BuildRequires:	icu-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(cairo)
Requires:	%{name}-language
Requires:	%{name}-eng

%description
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files
%{_bindir}/*
%{_datadir}/tessdata
%{_mandir}/man*/*

#-----------------------------------------------------------------

%package -n %{libtesseract}
Summary:	%{name} support library
Group:		System/Libraries
Obsoletes: lib64tesseract4

%description -n %{libtesseract}
%{name} library.

%files -n %{libtesseract}
%_libdir/lib%{name}*.so.%{major}*

#-----------------------------------------------------------------

%package -n %{devtesseract}
Summary:	Development files from %{name}
Group:		Development/Libraries
Requires:	%{libtesseract} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devtesseract}
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files -n %{devtesseract}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------

%prep
%setup -q

%build
./autogen.sh

# Fix https://github.com/tesseract-ocr/tesseract/issues/3728#
%ifarch armv7hl
 export CFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export CXXFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FCFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
%endif

%configure2_5x --disable-static

%make_build

%make_build training

%install
%make_install
%make_install training-install

rm -rf %buildroot/%{_libdir}/libtesseract.la

%changelog
* Sun Oct 09 2022 tex - 5.2.0-1pclos2022
- new version
